﻿var customSkin : GUISkin;
var state : String = "";
private var screenCenterX : float;
private var screenCenterY : float;

function OnGUI () {
	GUI.skin = customSkin;
	screenCenterX = Screen.width / 2;
	screenCenterY = Screen.height / 2;
	
	if (state == "highscores") {
		DisplayHighScores ();
	}
	
	else if (state == "info") {
		DisplayInfo ();
	}
	
	else if (state == "options") {
		DisplayOptions ();
	}
	
	else {
		DisplayMainMenu ();
	}
	
}

function DisplayHighScores () {
	GUI.Label (Rect (screenCenterX - 50, 20, 100, 420), "High Scores", "Title");

	BackButton ();
}

function DisplayInfo () {
	GUI.Label (Rect (screenCenterX - 50, 20, 100, 420), "More Info", "Title");

	BackButton ();
}

function DisplayOptions () {
	GUI.Label (Rect (screenCenterX - 50, 20, 100, 420), "Options", "Title");

	BackButton ();
}


function DisplayMainMenu () {
    // background box
    GUI.Box (Rect (screenCenterX - 210, screenCenterY - 210, 420, 420), "Unlocking Porto");

    if (GUI.Button (Rect (screenCenterX - 200, screenCenterY - 130, 400, 75), "Play!")) {
        Application.LoadLevel ("L1 - Trivia");
    }

    if (GUI.Button (Rect (screenCenterX - 200, screenCenterY - 45, 400, 75), "High Scores")) {
        state = "highscores";
    }
    
    if (GUI.Button (Rect (screenCenterX - 200, screenCenterY + 40, 400, 75), "More Info")) {
        state = "info";
    }
    
    if (GUI.Button (Rect (screenCenterX - 200, screenCenterY + 125, 400, 75), "Game Options")) {
        state = "options";
    }
}

function BackButton () {
	if (GUI.Button (Rect (20, 20, 75, 75), "<")) {
        state = "";
    }
}

function Update () {
	if (Input.GetKeyDown(KeyCode.Escape)) {
		Application.Quit();
	}
}
