﻿var customSkin : GUISkin;
var state : String = "intro";
var step : int = 0;

private var screenCenterX : float;
private var screenCenterY : float;

var background : GameObject;

var intro1 : Texture;
var intro2 : Texture;
var intro3 : Texture;
var intro4 : Texture;

var Q1bg : Texture;
var Q11 : Texture;
var Q12 : Texture;
var Q13 : Texture;

var Q2bg : Texture;
var Q21 : Texture;
var Q22 : Texture;
var Q23 : Texture;

var Q3bg : Texture;
var Q31 : Texture;
var Q32 : Texture;
var Q33 : Texture;

var Tbg : Texture;

private var ans : boolean = false;

function OnGUI () {
	GUI.skin = customSkin;
	screenCenterX = Screen.width / 2;
	screenCenterY = Screen.height / 2;

	// maximize and center background picture
	background.guiTexture.pixelInset.width = Screen.width;
	background.guiTexture.pixelInset.height = Screen.height;
	background.guiTexture.pixelInset.x = -screenCenterX - 1;
	background.guiTexture.pixelInset.y = -screenCenterY - 1;

	switch (state) {
		case "intro":
			DisplayIntro ();
			break;
		case "Q1":
			DisplayQ1 ();
			break;
		case "Q2":
			DisplayQ2 ();
			break;
		case "Q3":
			DisplayQ3 ();
			break;
		default:
			DisplayIntro ();
			break;
	}
}

function DisplayIntro () {
	switch(step){
		case 1:
			background.guiTexture.texture = intro1;
			break;
		case 2:
			background.guiTexture.texture = intro2;
			break;
		case 3:
			background.guiTexture.texture = intro3;
			break;
		case 4:
			background.guiTexture.texture = intro4;
			break;
		case 5:
			state = "Q1";
			break;
		default:
			background.guiTexture.texture = intro1;
			break;
	}

	SkipButton ("Q1");
}

function DisplayQ1 () {
	background.guiTexture.texture = Q1bg;
	
	if (!ans) {
		GUI.Box (Rect (screenCenterX - 210, screenCenterY - 210, 420, 420), "");

		GUI.Label (Rect (screenCenterX - 150, screenCenterY - 175, 300, 100), "What is the name of the river that connects the vineyards to Porto?");
	    
	    if (GUI.Button (Rect (screenCenterX - 200, screenCenterY - 45, 400, 75), "Mondego")) {
	        step = 1;
	        ans = true;
	    }
	    
	    if (GUI.Button (Rect (screenCenterX - 200, screenCenterY + 40, 400, 75), "Tagus")) {
	        step = 2;
	        ans = true;
	    }
	    
	    if (GUI.Button (Rect (screenCenterX - 200, screenCenterY + 125, 400, 75), "Douro")) {
	        step = 3;
	        ans = true;
	    }
	} else {
		switch (step) {
			case 1:
				background.guiTexture.texture = Q11;
				break;
			case 2:
				background.guiTexture.texture = Q12;
				break;
			case 3:
				background.guiTexture.texture = Q13;
				break;
		}
	}
	
	SkipButton ("");
}

function DisplayQ2 () {
	background.guiTexture.texture = Q2bg;

	SkipButton ("");
}

function DisplayQ3 () {
	background.guiTexture.texture = Q3bg;

	SkipButton ("");
}


function BackButton () {
	if (GUI.Button (Rect (20, 20, 75, 75), "<")) {
        state = "";
    }
}

function SkipButton (text : String) {
	if (GUI.Button (Rect (Screen.width - 100, Screen.height - 70, 75, 50), "skip")) {
		if (text == "") {
			Application.LoadLevel("L2 - Geo");
		}
		else {
			state = text;
		}
    }
}

function Update () {
	if (Input.GetKeyDown(KeyCode.Escape)) {
		Application.Quit();
	}
}
